/***************************************************************************

  gb.sdl.h

  Gambas extension using SDL

  (c) 2004, 2005 Laurent Carlier <lordheavy@infonie.fr>
                 Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __GB_SDL_H
#define __GB_SDL_H

#include "gambas.h"

#include "SDL.h"

#define SDL_INTERFACE_VERSION 1

typedef
  struct {
    long version;
    int  (*Init) (Uint32);
    void (*Quit) (void);
    }
  SDL_INTERFACE;

#endif /* __GB_SDL_H */
