/***************************************************************************

  draw.h

  The SDL component

  (c) 2004-2005 Laurent Carlier <lordheavy@infonie.fr>
                Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __DRAW_H
#define __DRAW_H

#include "gambas.h"
#include "surface.h"

#include "SDL.h"

typedef
  struct {
    Uint32   CColor;
    Sint16   LastX;
    Sint16   LastY;
    Uint8    filled;
    CSURFACE *Surf;
    void     *font;
    }
  CDRAWING;

#ifndef __DRAW_C
extern GB_DESC Cdrawing[];
#endif /* __DRAW_C */

#endif /* __DRAW_H */

