/***************************************************************************

  surface.h

  Gambas extension using SDL

  (c) 2004-2005 Laurent Carlier <lordheavy@infonie.fr>
                Benot Minisini <gambas@users.sourceforge.net>
                Fabien Bodard   <gambasfr@wanadoo.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __SURFACE_H
#define __SURFACE_H

#include "gambas.h"

#include "SDL.h"

  
typedef
  struct {
    GB_BASE ob;
    SDL_Surface *id;
    Uint32 key;
    SDL_Color Ckey;
    Uint8  alpha;
    }
  CSURFACE;

#ifndef __SURFACE_C
extern GB_DESC Csurfacealpha[];
extern GB_DESC Csurfacecolor[];
extern GB_DESC Csurface[];
#else

#define THIS      ((CSURFACE *)_object)
#define SURFACEID ((CSURFACE *)_object)->id

#endif /* __SURFACE_C */

#define GETSURFACE(object) ((CSURFACE *)object)->id
#define SETSURFACE(object,data) ((CSURFACE *)object)->id=data

#endif /* __SURFACE_H */
