/***************************************************************************

  CTimer.h

  The clanlib component

 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __CTIMER_H
#define __CTIMER_H

#include "gambas.h"
#include "main.h"

#include <ClanLib/core.h>

class myTimer;

typedef
	struct {
		GB_BASE ob;
		myTimer *timer;
	}
	CTIMER;

#ifndef __CTIMER_CPP
extern GB_DESC CLtimer[];
#else

#define THIS ((CTIMER *)_object)
#define CLTIMER THIS->timer

#endif /* __CTIMER_CPP */

class myTimer : public CL_Timer
{
public:
	myTimer (CTIMER *timer);
	void callback (void);

private:

	CL_Slot myTimer_slot;
	CTIMER *_timer;
};

#endif /* __CTIMER_H */
