/***************************************************************************

  timer.h

  The SDL component

  (c) 2004-2005 Laurent Carlier <lordheavy@infonie.fr>
                Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __TIMER_H
#define __TIMER_H

#include "gambas.h"

#include "SDL.h"

#ifndef __TIMER_C
extern GB_DESC Ctimer[];
#else

#define THIS ((CTIMER *)_object)

#endif /* __TIMER_C */

typedef
  struct {
    GB_BASE ob;
    SDL_TimerID id;
    Uint32 interval;
    }
  CTIMER;

#endif /* __TIMER_H */
